NotificationMail (Social Portal ASL Extension 1.4.0-4.12.0-169465 API)
Date: 2018-07-18

org.gcube.applicationsupportlayer.social.mailing

## Class NotificationMail

- java.lang.Object
- - org.gcube.applicationsupportlayer.social.mailing.NotificationMail

-     public class NotificationMail
      extends Object

  The email cached object
  Author:
    Massimiliano Assante, ISTI-CNR

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotificationMail(org.gcube.vomanagement.usermanagement.UserManager userManager, String portalURL, String siteLandingPagePath, org.gcube.portal.databook.shared.Notification notification2Send, String vreName, String portalName, String senderEmail, Set<String> mentionedVReGroups, String... hashtags)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String[]` | `getHashtags()`
    `Set<String>` | `getMentionedVReGroups()`
    `protected javax.mail.Message` | `getMessageNotification(javax.mail.Session session)`
    `protected org.gcube.portal.databook.shared.Notification` | `getNotification2Send()`
    `protected String` | `getPortalName()`
    `String` | `getPortalURL()`
    `protected String` | `getSenderEmail()`
    `String` | `getSiteLandingPagePath()`
    `protected String` | `getVreName()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NotificationMail

          public NotificationMail(org.gcube.vomanagement.usermanagement.UserManager userManager,
                                  String portalURL,
                                  String siteLandingPagePath,
                                  org.gcube.portal.databook.shared.Notification notification2Send,
                                  String vreName,
                                  String portalName,
                                  String senderEmail,
                                  Set<String> mentionedVReGroups,
                                  String... hashtags)

  - ### Method Detail

    - #### getMessageNotification

          protected javax.mail.Message getMessageNotification(javax.mail.Session session)
                                                       throws Exception

      Throws:
        `Exception`

    - #### getNotification2Send

          protected org.gcube.portal.databook.shared.Notification getNotification2Send()

    - #### getVreName

          protected String getVreName()

    - #### getPortalName

          protected String getPortalName()

    - #### getSenderEmail

          protected String getSenderEmail()

    - #### getHashtags

          protected String[] getHashtags()

    - #### getPortalURL

          public String getPortalURL()

    - #### getSiteLandingPagePath

          public String getSiteLandingPagePath()

    - #### getMentionedVReGroups

          public Set<String> getMentionedVReGroups()

Copyright © 2018. All Rights Reserved.